<?php

namespace App\Http\Controllers\Home;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Repository\Home\ProductsRepository;

class ProductsController extends Controller
{
  private $ProductsRepository;
  public function __construct(ProductsRepository $ProductsRepository)
  {
    $this->ProductsRepository = $ProductsRepository;
  }
  public function findProducts($slug){
    //$this->HomeRepository->acesso();
    return $this->ProductsRepository->FindProducts($slug);
  }




}
